Package com.smartgwt.client.ai

# Class HiliteViaAIResult

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationResult
com.smartgwt.client.ai.HiliteViaAIResult

All Implemented Interfaces:
  `HasHandlers`

public class HiliteViaAIResult extends AsyncOperationResult
The result of a hilite-via-AI operation.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HiliteViaAIResult()`
  `HiliteViaAIResult(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Hilite[]`
  `getHilites()`
  If successful, the array of `Hilite` objects determined by AI.
  `static HiliteViaAIResult`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `HiliteViaAIResult`
  `setHilites(Hilite... hilites)`
  If successful, the array of `Hilite` objects determined by AI.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationResult

  `getCancellationReason, getDisabledMessage, getErrorMessage, getType, setCancellationReason, setDisabledMessage, setErrorMessage, setType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HiliteViaAIResult

    public HiliteViaAIResult()

  - ### HiliteViaAIResult

    public HiliteViaAIResult(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static HiliteViaAIResult getOrCreateRef(JavaScriptObject jsObj)

  - ### setHilites

    public HiliteViaAIResult setHilites(Hilite... hilites)
    If successful, the array of `Hilite` objects determined by AI. This may be an empty array if no hilites were found in the prompt.
    Parameters:
      `hilites` - New hilites value. Default value is *initialized by the implementation*
    Returns:
      `HiliteViaAIResult` instance, for chaining setter calls

  - ### getHilites

    public Hilite[] getHilites()
    If successful, the array of `Hilite` objects determined by AI. This may be an empty array if no hilites were found in the prompt.
    Returns:
      Current hilites value. Default value is *initialized by the implementation*